ON_3dmUnitsAndTolerances Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmUnitsAndTolerances ()
| ON_3dmUnitsAndTolerances (const ON_3dmUnitsAndTolerances &)
| ~ON_3dmUnitsAndTolerances ()
ON_3dmUnitsAndTolerances & | operator= (const ON_3dmUnitsAndTolerances &)
void | Default ()
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const
void | Dump (ON_TextLog &) const
double | Scale (ON::unit_system) const

## Public Attributes

ON_UnitSystem | m_unit_system
double | m_absolute_tolerance
double | m_angle_tolerance
double | m_relative_tolerance
ON::distance_display_mode | m_distance_display_mode
int | m_distance_display_precision

## Detailed Description

Definition at line 26 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmUnitsAndTolerances() [1/2]

ON_3dmUnitsAndTolerances::ON_3dmUnitsAndTolerances | ( |  | ) |

## ON_3dmUnitsAndTolerances() [2/2]

ON_3dmUnitsAndTolerances::ON_3dmUnitsAndTolerances | ( | const ON_3dmUnitsAndTolerances & |  | ) |

## ~ON_3dmUnitsAndTolerances()

ON_3dmUnitsAndTolerances::~ON_3dmUnitsAndTolerances | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmUnitsAndTolerances::Default | ( |  | ) |

## Dump()

void ON_3dmUnitsAndTolerances::Dump | ( | ON_TextLog & |  | ) | const

## operator=()

ON_3dmUnitsAndTolerances& ON_3dmUnitsAndTolerances::operator= | ( | const ON_3dmUnitsAndTolerances & |  | ) |

## Read()

bool ON_3dmUnitsAndTolerances::Read | ( | ON_BinaryArchive & |  | ) |

## Scale()

double ON_3dmUnitsAndTolerances::Scale | ( | ON::unit_system |  | ) | const

## Write()

bool ON_3dmUnitsAndTolerances::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_absolute_tolerance

double ON_3dmUnitsAndTolerances::m_absolute_tolerance

Definition at line 53 of file opennurbs_3dm_settings.h.

## m_angle_tolerance

double ON_3dmUnitsAndTolerances::m_angle_tolerance

Definition at line 54 of file opennurbs_3dm_settings.h.

## m_distance_display_mode

ON::distance_display_mode ON_3dmUnitsAndTolerances::m_distance_display_mode

Definition at line 57 of file opennurbs_3dm_settings.h.

## m_distance_display_precision

int ON_3dmUnitsAndTolerances::m_distance_display_precision

Definition at line 58 of file opennurbs_3dm_settings.h.

## m_relative_tolerance

double ON_3dmUnitsAndTolerances::m_relative_tolerance

Definition at line 55 of file opennurbs_3dm_settings.h.

## m_unit_system

ON_UnitSystem ON_3dmUnitsAndTolerances::m_unit_system

Definition at line 51 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h